Skip to main content
`Ctrl`+`K`

# PCFactorSetReuseOrdering

When similar matrices are factored, this causes the ordering computed in the first factor to be used for all following factors.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetReuseOrdering(PC pc, PetscBool flag)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- flag - `PETSC_TRUE` to reuse else `PETSC_FALSE`

## Options Database Key

- -pc_factor_reuse_ordering - Activate `PCFactorSetReuseOrdering()`

## See Also

KSP: Linear System Solvers, `PCLU`, `PCCHOLESKY`, `PCFactorSetReuseFill()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/cholesky/cholesky.c

## Implementations

PCFactorSetReuseOrdering_Factor() in src/ksp/pc/impls/factor/factor.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages